'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = writeReleaseNotes;

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _json = require('./formatters/json');

var _json2 = _interopRequireDefault(_json);

var _markdown = require('./formatters/markdown');

var _markdown2 = _interopRequireDefault(_markdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_bluebird2.default.promisifyAll(_fsExtra2.default);

function writeReleaseNotes(releaseNotes, locale, format, outputFile) {
  try {
    var content = void 0;

    switch (format.toLowerCase()) {
      case 'json':
        content = (0, _json2.default)(releaseNotes);
        break;

      case 'md':
        content = (0, _markdown2.default)(releaseNotes, locale);
        break;

      default:
        throw new Error('Unsupported format: ' + format);
    }

    return writeFile(content, outputFile);
  } catch (e) {
    return _bluebird2.default.reject(e);
  }
}

function writeFile(content, outputFile) {
  outputFile = _path2.default.resolve(outputFile);
  var outputDir = _path2.default.dirname(outputFile);
  _fsExtra2.default.ensureDirSync(outputDir);
  return _fsExtra2.default.writeFileAsync(outputFile, content);
}